CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.20. CUpti_ActivityInstantaneousEventInstance Struct Reference

## [CUPTI Activity API]

This activity record represents the a CUPTI event value for a specific event domain instance (CUPTI_ACTIVITY_KIND_EVENT_INSTANCE) sampled at a particular instant. This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profiler frameworks built on top of CUPTI that collect event data may choose to use this type to store the collected event data. This activity record should be used when event domain instance information needs to be associated with the event.

### Public Variables

uint32_t deviceId
CUpti_EventID id
uint8_t instance
CUpti_ActivityKind kind
uint8_t pad[3]
uint64_t timestamp
uint64_t value

### Variables

uint32_t CUpti_ActivityInstantaneousEventInstance::deviceId [inherited]

  The device id

CUpti_EventID CUpti_ActivityInstantaneousEventInstance::id [inherited]

  The event ID.

uint8_t CUpti_ActivityInstantaneousEventInstance::instance [inherited]

  The event domain instance

CUpti_ActivityKind CUpti_ActivityInstantaneousEventInstance::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTANTANEOUS_EVENT_INSTANCE.

uint8_t CUpti_ActivityInstantaneousEventInstance::pad[3] [inherited]

  Undefined. reserved for internal use

uint64_t CUpti_ActivityInstantaneousEventInstance::timestamp [inherited]

  The timestamp at which event is sampled

uint64_t CUpti_ActivityInstantaneousEventInstance::value [inherited]

  The event value.